---
updatedAt: 2025-11-11T00:10:37.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Requery Transfer Request

This endpoint queries a transfer using the original clientRef and/or transactionReference returned by the Transfer Service.

**Response Message  field description**

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        Field

        #
      </td>

      <td style={{ textAlign: "left" }}>
        Field name
      </td>

      <td style={{ textAlign: "left" }}>
        Description
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        1
      </td>

      <td style={{ textAlign: "left" }}>
        transactionReference
      </td>

      <td style={{ textAlign: "left" }}>
        Unique transaction reference
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        2
      </td>

      <td style={{ textAlign: "left" }}>
        responseCode
      </td>

      <td style={{ textAlign: "left" }}>
        The response code of the transaction see appendix for response code details
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        3
      </td>

      <td style={{ textAlign: "left" }}>
        responseMessage
      </td>

      <td style={{ textAlign: "left" }}>
        The descriptive response message
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        4
      </td>

      <td style={{ textAlign: "left" }}>
        status
      </td>

      <td style={{ textAlign: "left" }}>
        The status of the transaction. See transaction status appendix. Use the status mappings to determine if the transaction succeeded or not.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        5
      </td>

      <td style={{ textAlign: "left" }}>
        clientRef
      </td>

      <td style={{ textAlign: "left" }}>
        The clientRef of the transaction
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        6
      </td>

      <td style={{ textAlign: "left" }}>
        settlementStatus
      </td>

      <td style={{ textAlign: "left" }}>
        Settlement status of the credit transaction
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "transfer-service",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://isw-transfer-service-core-microservice.k8.isw.la"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/transfers/accounts/credits/requery": {
      "post": {
        "summary": "Requery Transfer Request",
        "description": "This endpoint queries a transfer using the original clientRef and/or transactionReference returned by the Transfer Service.",
        "operationId": "requery-transfer-request",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "Bearer {Passport Access Token}"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "clientRef": {
                    "type": "string",
                    "description": "Unique reference per client. If present in inquiry, should be the same. if absent, transaction reference must be present in request"
                  },
                  "transactionReference": {
                    "type": "string",
                    "description": "Transaction Reference returned from credit inquiry. If absent, credit ref must be present in request"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{ \n  \"responseCode\": \"00\",\n  \"transactionReference\": \"CR|SUN|FBP|310520202047|226464\",\n  \"responseMessage\": \"Approved or completed successfully\",\n  \"status\": \"SUCCESS\",\n  \"clientRef\": \"SUN|ITF|NA|FBP|1235645654|98776\",\n  \"settlementStatus\": \"SUCCESSFUL\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "responseCode": {
                      "type": "string",
                      "example": "00"
                    },
                    "transactionReference": {
                      "type": "string",
                      "example": "CR|SUN|FBP|310520202047|226464"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Approved or completed successfully"
                    },
                    "status": {
                      "type": "string",
                      "example": "SUCCESS"
                    },
                    "clientRef": {
                      "type": "string",
                      "example": "SUN|ITF|NA|FBP|1235645654|98776"
                    },
                    "settlementStatus": {
                      "type": "string",
                      "example": "SUCCESSFUL"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://isw-transfer-service-core-microservice.k8.isw.la/transfers/accounts/credits/requery \\\n-H \"Authorization:Bearer {Passport Access Token}\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"transactionReference\": \"CR|SUN|FBP|310520202047|226464\"\n}' \n-X POST"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```